<template>
  <Head>
    <title>Gameanueva - Profile</title>
    <meta
      type="description"
      content="Profile Description"
      head-key="description"
    />
  </Head>
  <h1 class="text-3xl">Profile</h1>
  <p>
    <u>User:</u> {{ user.name }}
  </p>

  <p>
    <span v-if="habit"><u>Habit:</u> {{ habit }}</span>
  </p>
  <hr>
  <p class="text-center current-streak">
    <u>Current Streak:</u><br />
    <span v-if="month" class="big-john">{{ month }} Months &nbsp;</span>
    <span v-if="day" class="big-john">{{ day }} Days&nbsp;</span>
    <span v-if="hour" class="big-john">{{ hour }} Hours&nbsp;</span>
    <span v-if="minute" class="big-john">{{ minute }} Minute&nbsp;</span>
    <span v-if="seconds" class="big-john">{{ seconds }} Seconds</span>
  </p>
  <hr>
  <p class="mt-2">Did you succeed today?</p>
  
  <form class="mt-3" method="post" @submit.prevent="submit">
    <button type="submit" class="bg-secondary hover:bg-tertiary">YES</button>
  </form>
</template>

<script>
import { Inertia } from '@inertiajs/inertia';

export default {
  props: {
    user: Object,
    year: Number,
    month: Number,
    day: Number,
    hour: Number,
    minute: Number,
    seconds: Number,
    errors: Object,
    habit: String
  },
  setup (){
    let submit = () => {
      Inertia.post('/profile');
    }
    return {submit}
  }
}

</script>